%global momorel 4
%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')

%global emacsver 22.2
%global xemacsver 21.5.28
%global xemacssumover 2007.04.27
%global e_sitedir   %{_datadir}/emacs/site-lisp
%global e_startdir  %{e_sitedir}/site-start.d
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global xe_startdir %{_datadir}/xemacs/site-packages/lisp/site-start.d
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: Romaji Hiragana conversion library
Name: suikyo
Version: 2.1.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://taiyaki.org/suikyo/
Source: http://prime.sourceforge.jp/src/%{name}-%{version}.tar.gz
NoSource: 0
Group: Development/Libraries
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ruby, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
BuildRequires: emacs >= %{emacsver}

%package emacs
Summary: emacs binding of suikyo
Group: Applications/Editors
Requires: suikyo
Requires: emacs >= %{emacsver}, %{name} = %{version}

%package xemacs
Summary: xemacs binding of suikyo
Group: Applications/Editors
Requires: xemacs >= %{xemacsver}, %{name} = %{version}

%package ruby
Summary: ruby binding of suikyo
Group: Development/Libraries
Requires: ruby, %{name} = %{version}

%description
Suikyo is a Romaji Hiragana conversion library based on
DFA (Deterministic finate state) automaton.

%description emacs
suikyo-emacs is a emacs binding of suikyo.

%description xemacs
suikyo-xemacs is a xemacs binding of suikyo.

%description ruby
suikyo-ruby is a ruby binding of suikyo.

%prep
rm -rf %{buildroot}

%setup -q

%build
%configure rubydir=%{ruby_libdir}
%make

cd elisp/src

emacs -no-site-file -q -batch -f batch-byte-compile *.el
for i in *.el; do
  cp $i $i.emacs
done
for i in *.elc; do
  mv $i $i.emacs
done

xemacs -no-site-file -q -batch -f batch-byte-compile *.el
for i in *.elc; do
  mv $i $i.xemacs
done

cd ../..

%install
(cd conv-table && make SUIKYO_TABLE_DIR=%{buildroot}%{_datadir}/suikyo/conv-table install)
(cd ruby && echo "install:" > doc/Makefile && make prefix=%{buildroot}%{_prefix} rubydir=%{buildroot}%{ruby_libdir} install)

cd elisp/src

mkdir -p %{buildroot}%{e_sitedir}/suikyo

for i in *.el*.emacs; do
  install -c -m 0644 $i %{buildroot}%{e_sitedir}/suikyo/${i%%.emacs}
done

mkdir -p %{buildroot}%{e_startdir}
install -c -m 0644 ../etc/init-suikyo.el %{buildroot}%{e_startdir}

mkdir -p %{buildroot}%{sitepdir}/lisp/suikyo

cd ../..
%configure --with-emacs-sitelispdir=%{sitepdir}/lisp/suikyo \
  --with-emacs-initdir=%{xe_startdir}
make
cd elisp/src

install -c -m 0644 *.el %{buildroot}%{sitepdir}/lisp/suikyo
for i in *.elc.xemacs; do
  install -c -m 0644 $i %{buildroot}%{sitepdir}/lisp/suikyo/${i%%.xemacs}
done

mkdir -p %{buildroot}%{xe_startdir}
install -c -m 0644 ../etc/init-suikyo.el %{buildroot}%{xe_startdir}

cd ../..

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/suikyo
%doc ChangeLog
%doc contrib/uniq.rb
%doc doc/index.html

%files emacs
%defattr(-,root,root)
%{e_sitedir}/suikyo
%{e_startdir}/init-suikyo.el
%doc elisp/ChangeLog

%files xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/suikyo
%{xe_startdir}/init-suikyo.el
%doc elisp/ChangeLog

%files ruby
%defattr(-,root,root)
/usr/lib/ruby/*/*
%doc ruby/ChangeLog
%doc ruby/doc/index.html

%changelog
* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-4m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.0-3m)
- rebuild against gcc43

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (2.1.0-2m)
- /usr/lib/ruby

* Wed Mar 30 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.1.0-1m)
- up to 2.1.0

* Tue Mar  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1.2-1m)
- version 2.0.1.2

* Wed Dec 15 2004 TAKAHASHI Tamotsu <tamo>
- (2.0.0-1m)

* Sat Nov 27 2004 TAKAHASHI Tamotsu <tamo>
- (1.3.3-3m)
- add defattr(-,root,root) to each subpackage

* Thu Nov 25 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.3.3-2m)
- rebuild against emacs-21.3.50 (nen no tame...)

* Tue Aug 31 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.3.3-1m)
- version update to 1.3.3

* Wed Mar  3 2004 kourin <kourin@fh.freeserve.ne.jp>
- (1.3.2-1m)
- version up.

* Wed Dec 31 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.2.1-1m)
- version up.

* Tue Dec 16 2003 Masaki Yatsu <yatsu@digital-genes.com>
- (1.2.0-1)
- version up.

* Wed May 28 2003 Masaki Yatsu <yatsu@borogrammers.net>
- (1.1.2-2 / 1.1.2-0pa2)
- make suikyo sub directory in Emacs-Lisp directory

* Sun May 18 2003 Masaki Yatsu <yatsu@borogrammers.net>
- (1.1.2-1 / 1.1.2-0pa1)
- version up

* Tue May 13 2003 Masaki Yatsu <yatsu@borogrammers.net>
- (1.1.1-0pa2)
- correct suikyo-table-path

* Tue May 13 2003 Masaki Yatsu <yatsu@borogrammers.net>
- (1.1.1-0pa1)
- first build
